# /etc/nagios-plugins/config/check_nrpe.cfg
#
# ::do_not_edit::
# ::maintainer::
#
# overrides distro check_nrpe commands, setting options below:
#
# timeout
#   \::nagios_nrpe.socket_timeout\::
#
# socket timeouts return an UNKNOWN state instead of CRITICAL
#   \::nagios_nrpe.ignore_timeouts\::
#
# other options (default: none)
#   \::nagios_nrpe.options\::

# this command runs a program $ARG1$ with arguments $ARG2$
define command {
  command_name	check_nrpe
  command_line	/usr/lib/nagios/plugins/check_nrpe ::nagios_nrpe.ignore_timeouts:: -t ::nagios_nrpe.socket_timeout:: ::nagios_nrpe.options:: -H $HOSTADDRESS$ -c $ARG1$ -a $ARG2$
}

# this command runs a program $ARG1$ with no arguments
define command {
  command_name	check_nrpe_1arg
  command_line	/usr/lib/nagios/plugins/check_nrpe ::nagios_nrpe.ignore_timeouts:: -t ::nagios_nrpe.socket_timeout:: ::nagios_nrpe.options:: -H $HOSTADDRESS$ -c $ARG1$
}

# (eof)
